diff --git a/dev-libs/wayland/Manifest b/dev-libs/wayland/Manifest
index 54c86a1..ae6f2e3 100644
--- a/dev-libs/wayland/Manifest
+++ b/dev-libs/wayland/Manifest
@@ -1 +1,4 @@
DIST wayland-1.17.0.tar.xz 437680 BLAKE2B 2f4eb54c5ded90453b4e2812f7b5086aa211196ec9f7333d316cdb829269d55db570ccb45a67ee07a039633245e630ab54da6403ff4754d59366f3c13fb87549 SHA512 c5051aab5ff078b368c196ecfedb33ccd961265bb914845d7ed81de361bb86ae18299575baa6c4eceb0d82cf8b495e8293f31b51d1cbc05d84af0a199ab3f946
+EBUILD wayland-1.17.0.ebuild 1412 BLAKE2B 3cd1532d64a81e166b0347c7067463572dbd9ce8709ad45f2f020e2cb65f2a0c73bd6f10c78cabc41d6b27b24fa4f207b9d9b3c1c11b4d1048e7730a0380c06e SHA512 e100541536a8e79a51d423f2e8a38a910b5c04b7ee98c3f3e08403ac700c6c864e77742e97a6b5c6483bc52882b4eec9a7bea9c30a44cee68f03683c98cd22af
+EBUILD wayland-9999.ebuild 1755 BLAKE2B 43f897b83819708141c70c1b8d678509101c5497a21d4ded684901c43295ada64934f95693a2458597a1bcfa7bb508a638a8447789ed511769219fb7d271bf0e SHA512 24b4b3d664e4cdd331d78f8f22ea3670513411577849c8f980b5b9f7c7687b692bce959dd25970055b940aa835fac1d22766dc40bba23d989b0300d29fd6474b
+MISC metadata.xml 230 BLAKE2B 70bf59e64305ef14908197f2aa7ffbc1769ade265097da68e001245451658af5921760c91cb74aae717543ea0017e2471fd94bfc5c4c447d2d60e2c23aa3b007 SHA512 d7a2643abd1904cc5ff4d91cbb6f1baeb7f75fd1db542c5e14f19412f4f0bd4b903f8e703a7662ba7482c79dac5529057760b6427599d35e0842755fd946e057
diff --git a/dev-util/anjuta/Manifest b/dev-util/anjuta/Manifest
new file mode 100644
index 0000000..0577c60
--- /dev/null
+++ b/dev-util/anjuta/Manifest
@@ -0,0 +1 @@
+DIST anjuta-3.28.0.tar.xz 6382736 SHA512 c8de0b0debf0a511d6c50fe2582077a33c04290a045cce637c05c15df984cc3e8ee942c0c3a75bfd01c48e6c302d5424565c4e54fe6eb118c87a3590563505ef
diff --git a/dev-util/anjuta/anjuta-3.28.0.ebuild b/dev-util/anjuta/anjuta-3.28.0.ebuild
new file mode 100644
index 0000000..63d9f37
--- /dev/null
+++ b/dev-util/anjuta/anjuta-3.28.0.ebuild
@@ -0,0 +1,134 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python2_7 )
+# libanjuta-language-vala.so links to a specific slot of libvala; we want to
+# avoid automagic behavior.
+VALA_MIN_API_VERSION="0.32"
+VALA_MAX_API_VERSION="${VALA_MIN_API_VERSION}"
+
+inherit gnome2 flag-o-matic readme.gentoo-r1 python-single-r1 vala
+
+DESCRIPTION="A versatile IDE for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Anjuta"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="*"
+
+IUSE="debug devhelp glade +introspection packagekit subversion terminal test vala"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# FIXME: make python dependency non-automagic
+COMMON_DEPEND="
+ >=dev-libs/glib-2.62.2:2[dbus]
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3.24.12:3
+ >=dev-libs/libxml2-2.4.23
+ >=dev-libs/gdl-3.5.5:3=
+ >=x11-libs/gtksourceview-3:3.0
+
+ sys-devel/autogen
+
+ >=gnome-extra/libgda-5:5=
+ dev-util/ctags
+
+ x11-libs/libXext
+ x11-libs/libXrender
+
+ ${PYTHON_DEPS}
+
+ devhelp? ( >=dev-util/devhelp-3.7.4:= )
+ glade? ( >=dev-util/glade-3.12:3.10= )
+ introspection? ( >=dev-libs/gobject-introspection-1.62.0:= )
+ subversion? (
+ >=dev-vcs/subversion-1.8:=
+ >=net-libs/serf-1.2:1=
+ >=dev-libs/apr-1:=
+ >=dev-libs/apr-util-1:= )
+ terminal? ( >=x11-libs/vte-0.27.6:2.91 )
+ vala? ( $(vala_depend) )
+"
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/gsettings-desktop-schemas
+ packagekit? ( app-admin/packagekit-base )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/gtk-doc-am-1.4
+ >=dev-util/intltool-0.40.1
+ sys-devel/bison
+ sys-devel/flex
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+ !!dev-libs/gnome-build
+ test? (
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/docbook-xml-dtd:4.5 )
+ app-text/yelp-tools
+ dev-libs/gobject-introspection-common
+ gnome-base/gnome-common
+"
+# yelp-tools, gi-common and gnome-common are required by eautoreconf
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ if use vala; then
+ DISABLE_AUTOFORMATTING="yes"
+ DOC_CONTENTS="To create a generic vala project you will need to specify
+desired valac versioned binary to be used, to do that you
+will need to:
+1. Go to 'Build' -> 'Configure project'
+2. Add 'VALAC=/usr/bin/valac-X.XX' (respecting quotes) to
+'Configure options'."
+ fi
+
+ # COPYING is used in Anjuta's help/about entry
+ DOCS="AUTHORS ChangeLog COPYING FUTURE MAINTAINERS NEWS README ROADMAP THANKS TODO"
+
+ # Conflicts with -pg in a plugin, bug #266777
+ filter-flags -fomit-frame-pointer
+
+ # Do not build benchmarks, they are not installed and for dev purpose only
+ sed -e '/SUBDIRS =/ s/benchmark//' \
+ -i plugins/symbol-db/Makefile.{am,in} || die
+
+ use vala && vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-neon \
+ --disable-static \
+ $(use_enable debug) \
+ $(use_enable devhelp plugin-devhelp) \
+ $(use_enable glade plugin-glade) \
+ $(use_enable glade glade-catalog) \
+ $(use_enable introspection) \
+ $(use_enable packagekit) \
+ $(use_enable subversion plugin-subversion) \
+ $(use_enable subversion serf) \
+ $(use_enable terminal plugin-terminal) \
+ $(use_enable vala)
+}
+
+src_install() {
+ # COPYING is used in Anjuta's help/about entry
+ docompress -x "/usr/share/doc/${PF}/COPYING"
+
+ # Anjuta uses a custom rule to install DOCS, get rid of it
+ gnome2_src_install
+ rm -rf "${ED}"/usr/share/doc/${PN} || die "rm failed"
+
+ use vala && readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ use vala && readme.gentoo_print_elog
+}
diff --git a/dev-util/anjuta/metadata.xml b/dev-util/anjuta/metadata.xml
new file mode 100644
index 0000000..0073ebc
--- /dev/null
+++ b/dev-util/anjuta/metadata.xml
@@ -0,0 +1,14 @@
+
+
+
+
+ gnome@gentoo.org
+ Gentoo GNOME Desktop
+
+
+
diff --git a/dev-util/promu/Manifest b/dev-util/promu/Manifest
new file mode 100644
index 0000000..b332c5b
--- /dev/null
+++ b/dev-util/promu/Manifest
@@ -0,0 +1,7 @@
+DIST promu-0.2.0.tar.gz 1072026 BLAKE2B 2b68d992b37421d6b9a08cc9a9134f9ae52643d4c2844c8e1f6f6724f015582c99a8724ab6b8d1ee69437c660e3b972af85949e3221d8d8c709fd8c1a45e1256 SHA512 4da4716a9d4fb96b6016c9bd452fed0403721ab15f95e6955db2ab6e8e482f3bbb35cb4c1c94f690af9520729a93c100015ee48cb69627e129004ae0b15257ae
+DIST promu-0.3.0.tar.gz 366019 BLAKE2B 0e6e93bb573da0ef20947b72989d8a68a7d6d1490efc802acaee58c9f546e9b46162054172d445e4dcb5cbc33c152529f006edf3acc594b92927df0ab489f86a SHA512 543cb514fcab9700bc45cb1b4a9f056720af4acf8ed949e03445c2f4e52d89f6fb8eda3ee538bc92feb2dc06db31026bebad9bf6c86a6e37a0be294d17e4b518
+DIST promu-0.4.0.tar.gz 592088 BLAKE2B f8a076dd497959ffeb14422dd8171205a2ef24a1ad23d6bba31a4577893c0680ed76a69e49511f40a0d06c3d2a16e5ea2e3fe7258c4a384e3efa69abeda96f03 SHA512 51235dc75f9ba721aea11fe816c2d244fd555b02d331bfc96c1f439f1a79669ca022a97e14e706471b06ae6b19d347d017a4d306b5bc5f9753be1b0186aa06fa
+EBUILD promu-0.2.0.ebuild 760 BLAKE2B 2630eaaef487fc9edf249c7ec4f61bc6d8d3245e6225c26cee3af0736b1d13549bfafd4be026646e29f29b1e9a5305a4b79c012cd2a03117fbe364091abb614c SHA512 b4ba612c32787b1d85398dc1cefa49e6dd35be60790c5029d4d8a8ed697154b116e2f1cd8b0dfa648df742c7455eeeac2b79113a070b3fec9af8f16ac0e14aae
+EBUILD promu-0.3.0.ebuild 814 BLAKE2B a1b957219bb7826ee24236e63572a3045bf5025c40955f9c1c3bd78022185d4caa0b6475ea1fd981d6f096ddcb92de344aa18c227f5ca7d011ac458b4fd27104 SHA512 c3a67e5caccec68275168c9550766fdbabcd4c6f83903170e65e69fe7952de04336ced9d41a46f14900ece17bf0524029b0b60463c49bbbf0b4271c5da7a4acc
+EBUILD promu-0.4.0.ebuild 653 BLAKE2B 7961e877a3eb00d21ed700001114c0a1a4856079c3cb7cf9b5a61779c5553611781ce5ccd22ee7d3b3315d9ac2d9da40380da81d73029bb26e29b05a47955e63 SHA512 46d9f08d0a93eb1a9904446f21ee089cc2c933843a2af6cba815d042045b1f6106b6de0bcc331a70ef40df5c51810b14190f64973e7291b7706f4fb13d4d15d0
+MISC metadata.xml 326 BLAKE2B 84a14632c102d52e02ac2c9a8e7f8e2edfabb3401ab04d5fe94eab4c83ef053f27260aff0ad2b04769653665325afa6db028c8ee281835b925456b432d593eb1 SHA512 2870183c141e5d9ec65aba01e7ab02443f42d13d0f39c4ba51af7adacabdf360cb2308cb898c4bf4f0a8c3e20b35d511af2b978fafcb4de47177de77819f6853
diff --git a/dev-util/promu/metadata.xml b/dev-util/promu/metadata.xml
new file mode 100644
index 0000000..547d58a
--- /dev/null
+++ b/dev-util/promu/metadata.xml
@@ -0,0 +1,11 @@
+
+
+
+
+ mrueg@gentoo.org
+ Manuel RĂ¼ger
+
+
+ prometheus/promu
+
+
diff --git a/dev-util/promu/promu-0.2.0.ebuild b/dev-util/promu/promu-0.2.0.ebuild
new file mode 100644
index 0000000..df89ca9
--- /dev/null
+++ b/dev-util/promu/promu-0.2.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/promu"
+EGIT_COMMIT="264dc36af9ea3103255063497636bd5713e3e9c1"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="amd64"
+
+DESCRIPTION="Prometheus Utility Tool"
+HOMEPAGE="https://github.com/prometheus/promu"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.11"
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${EGIT_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ GOPATH="${S}" emake build
+ popd || die
+}
+
+src_install() {
+ dobin bin/*
+ dodoc -r src/${EGO_PN}/{doc,{README,CONTRIBUTING}.md}
+}
diff --git a/dev-util/promu/promu-0.3.0.ebuild b/dev-util/promu/promu-0.3.0.ebuild
new file mode 100644
index 0000000..d919cfd
--- /dev/null
+++ b/dev-util/promu/promu-0.3.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/promu"
+EGIT_COMMIT="295a70a7f580b886572861b19545b28accfd4491"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="amd64"
+
+DESCRIPTION="Prometheus Utility Tool"
+HOMEPAGE="https://github.com/prometheus/promu"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.11"
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${EGIT_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ GO111MODULES=off GOPATH="${S}" go install -v github.com/prometheus/promu || die
+ popd || die
+}
+
+src_install() {
+ dobin bin/*
+ dodoc -r src/${EGO_PN}/{doc,{README,CONTRIBUTING}.md}
+}
diff --git a/dev-util/promu/promu-0.4.0.ebuild b/dev-util/promu/promu-0.4.0.ebuild
new file mode 100644
index 0000000..4d0f868
--- /dev/null
+++ b/dev-util/promu/promu-0.4.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/promu"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="amd64"
+
+DESCRIPTION="Prometheus Utility Tool"
+HOMEPAGE="https://github.com/prometheus/promu"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.11"
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ GO111MODULE=off GOPATH="${S}" go install -v github.com/prometheus/promu || die
+ popd || die
+}
+
+src_install() {
+ dobin bin/*
+ dodoc -r src/${EGO_PN}/{doc,{README,CONTRIBUTING}.md}
+}
diff --git a/media-video/pipewire/Manifest b/media-video/pipewire/Manifest
index 39f91c6..e3fc3b1 100644
--- a/media-video/pipewire/Manifest
+++ b/media-video/pipewire/Manifest
@@ -1,2 +1,4 @@
+DIST pipewire-0.3.17.tar.gz 1254486 BLAKE2B e6a8e31dc968b95012f01dce53faa30dde40b3a382fe85eb25a50b96f3d011711be1f9fc5ce42e355c19f92e59bdaa4e5b6ecf41347f400c35adb3eeb2a53c5c SHA512 0de4f2431cf19708c3457877b8172a39676ef8f748071921a21da391d95b83a870190dc1343ffe9000e2599431464b6bfe90219f6237493903ccba5eb9b3473d
DIST pipewire-0.3.6.tar.gz 968858 BLAKE2B 342b935ce1f68282cb6a1684855c7efacf24759359ca2079aade27b7d7d2699135e07c1e52afefb8924d9c8274b4cdbda98cc6c19d8aa0bf14b7202c0e0923f4 SHA512 a8d67bb6135432705d6de026074325f0cae7f01e3fe0b65fa7dafb128e5984ce126f8b4635bfbd9746777514df6f0880a78149fd007c7c1432ac29f95655ddcc
+EBUILD pipewire-0.3.17.ebuild 1165 BLAKE2B 2fa6b7d78fc5d6da221a70870fab7a2f1b114e9ac1b7ec50af8026c5307ead0531f0671500eab7f09cc3111d53fc4b5039204ed199b5f11a7c8718c3138d718f SHA512 7a4ab2244fe610d9711eaca5c56fbd7776e579f4f2fe2df3ef32a65b9221655c122042627ff451605fdda47b34e5fbfee4ee349f540ea4f5735fd2cf3a9890c5
EBUILD pipewire-0.3.6.ebuild 1165 BLAKE2B 2fa6b7d78fc5d6da221a70870fab7a2f1b114e9ac1b7ec50af8026c5307ead0531f0671500eab7f09cc3111d53fc4b5039204ed199b5f11a7c8718c3138d718f SHA512 7a4ab2244fe610d9711eaca5c56fbd7776e579f4f2fe2df3ef32a65b9221655c122042627ff451605fdda47b34e5fbfee4ee349f540ea4f5735fd2cf3a9890c5
diff --git a/media-video/pipewire/pipewire-0.3.17.ebuild b/media-video/pipewire/pipewire-0.3.17.ebuild
new file mode 100644
index 0000000..0fb1feb
--- /dev/null
+++ b/media-video/pipewire/pipewire-0.3.17.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+MY_PV="${PV%_*}"
+MY_P="${PN}-${MY_PV}"
+
+S="${WORKDIR}/${MY_P}"
+
+RESTRICT="mirror"
+
+DESCRIPTION="Multimedia processing graphs"
+HOMEPAGE="http://pipewire.org/"
+SRC_URI="https://github.com/PipeWire/${PN}/archive/${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="*"
+
+IUSE="docs examples ffmpeg gstreamer jack pulseaudio systemd"
+
+RDEPEND="
+ media-libs/alsa-lib
+ media-libs/sbc
+ media-video/ffmpeg:=
+ jack? ( >=media-sound/jack2-1.9.10 )
+ pulseaudio? ( >=media-sound/pulseaudio-11.1 )
+ sys-apps/dbus
+ virtual/libudev
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ systemd? ( sys-apps/systemd )
+ media-libs/vulkan-loader
+"
+DEPEND="
+ ${RDEPEND}
+ app-doc/xmltoman
+ docs? ( app-doc/doxygen )
+"
+
+src_configure() {
+ local emesonargs=(
+ -Dman=true
+ $(meson_use docs)
+ $(meson_use examples)
+ $(meson_use ffmpeg)
+ $(meson_use gstreamer)
+ $(meson_use jack pipewire-jack)
+ $(meson_use jack)
+ $(meson_use pulseaudio pipewire-pulseaudio)
+ $(meson_use systemd)
+ )
+
+ meson_src_configure
+}
diff --git a/net-misc/nextcloud-client/Manifest b/net-misc/nextcloud-client/Manifest
new file mode 100644
index 0000000..299daaf
--- /dev/null
+++ b/net-misc/nextcloud-client/Manifest
@@ -0,0 +1,3 @@
+DIST nextcloud-desktop-3.0.2.tar.gz 19117243 BLAKE2B 665fc2820ec133d53bb64172c88d634ee0ae905a1feb4d452e12c85d03190f27fd162580e0b017a39b9a78746e238246061382ea6d08cabfd3874dd6a890a54e SHA512 8f323208e609fc2d01798b4e27e94488ac5ffda374651d4aa5c697ab2863f9a76823bee7cf809c534a9bd6e1a8dbc71b169c7e895a59ce920aad86ad31f41a23
+EBUILD nextcloud-client-3.0.2.ebuild 1985 BLAKE2B d61845290db13eb7e550e17566b927e2c5675ecc982bd9be0809389100431dd9deeaf0f1be80c19308e096f54efb168fcc0edb2713d135c43c7d3618d17acd53 SHA512 f0a747141dbb1591990ceb658afdbff058df885ecbad0dde5d89bdf329b1a4552d2cb394a2822f6c97d5a2aedc4af22241ac06894d46f62bdb8136653d8e4229
+MISC autogen.py 644 BLAKE2B 7139c7811a5ca64b2503cabc84a5318586ba93f8846db873c993e624a4349f1bbe05abc4aff5447105960d3c7444e877be927a1396d6335e5f6b28311cea3c61 SHA512 01a2ad616e320378526b211ee12026fcb4724086d42681970c4b30cac40ae2028c131de1a98be5534eb603bda474c3b3aff38dfc880d2b43379003da648bd169
diff --git a/net-misc/nextcloud-client/autogen.py b/net-misc/nextcloud-client/autogen.py
new file mode 100644
index 0000000..2a89015
--- /dev/null
+++ b/net-misc/nextcloud-client/autogen.py
@@ -0,0 +1,26 @@
+#!/usr/bin/env python3
+
+import json
+
+
+async def generate(hub, **pkginfo):
+ github_user = "nextcloud"
+ github_repo = "desktop"
+ json_list = await hub.pkgtools.fetch.get_page(
+ f"https://api.github.com/repos/{github_user}/{github_repo}/releases", is_json=True
+ )
+ for release in json_list:
+ if release["prerelease"] or release["draft"]:
+ continue
+ version = release["tag_name"][1:]
+ url = release["tarball_url"]
+ break
+ ebuild = hub.pkgtools.ebuild.BreezyBuild(
+ **pkginfo,
+ version=version,
+ artifacts=[hub.pkgtools.ebuild.Artifact(url=url, final_name=f"nextcloud-desktop-{version}.tar.gz")],
+ )
+ ebuild.push()
+
+
+# vim: ts=4 sw=4 noet
diff --git a/net-misc/nextcloud-client/nextcloud-client-3.0.2.ebuild b/net-misc/nextcloud-client/nextcloud-client-3.0.2.ebuild
new file mode 100644
index 0000000..71184ae
--- /dev/null
+++ b/net-misc/nextcloud-client/nextcloud-client-3.0.2.ebuild
@@ -0,0 +1,89 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="Desktop Syncing Client for Nextcloud"
+HOMEPAGE="https://github.com/nextcloud/desktop"
+SRC_URI="https://api.github.com/repos/nextcloud/desktop/tarball/v3.0.2 -> nextcloud-desktop-3.0.2.tar.gz"
+
+LICENSE="CC-BY-3.0 GPL-2"
+SLOT="0"
+KEYWORDS="*"
+IUSE="doc dolphin nautilus shibboleth test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+ >=dev-libs/openssl-1.1.0:0=
+ dev-libs/qtkeychain[qt5(+)]
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtsql:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebengine:5[widgets]
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ sys-fs/inotify-tools
+ dolphin? (
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kio:5
+ )
+ nautilus? ( dev-python/nautilus-python )
+ shibboleth? ( dev-qt/qtwebkit:5 )"
+
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
+ doc? (
+ dev-python/sphinx
+ dev-tex/latexmk
+ dev-texlive/texlive-latexextra
+ virtual/latex-base
+ )
+ dolphin? ( kde-frameworks/extra-cmake-modules )
+ test? (
+ dev-util/cmocka
+ dev-qt/qttest:5
+ )"
+
+S=${WORKDIR}/nextcloud-desktop-218514e
+
+src_prepare() {
+ # Keep tests in ${T}
+ sed -i -e "s#\"/tmp#\"${T}#g" test/test*.cpp || die
+
+ if ! use nautilus; then
+ pushd shell_integration > /dev/null || die
+ cmake_comment_add_subdirectory nautilus
+ popd > /dev/null || die
+ fi
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+ -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+ -DCMAKE_DISABLE_FIND_PACKAGE_Sphinx=$(usex !doc)
+ -DCMAKE_DISABLE_FIND_PACKAGE_KF5=$(usex !dolphin)
+ -DNO_SHIBBOLETH=$(usex !shibboleth)
+ -DUNIT_TESTING=$(usex test)
+ )
+
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ if ! use doc ; then
+ elog "Documentation and man pages not installed"
+ elog "Enable doc USE-flag to generate them"
+ fi
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
diff --git a/net-misc/nextcloud-client/templates/nextcloud-client.tmpl b/net-misc/nextcloud-client/templates/nextcloud-client.tmpl
new file mode 100644
index 0000000..5b0ba6f
--- /dev/null
+++ b/net-misc/nextcloud-client/templates/nextcloud-client.tmpl
@@ -0,0 +1,89 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="Desktop Syncing Client for Nextcloud"
+HOMEPAGE="https://github.com/nextcloud/desktop"
+SRC_URI="{{artifacts[0].src_uri}}"
+
+LICENSE="CC-BY-3.0 GPL-2"
+SLOT="0"
+KEYWORDS="*"
+IUSE="doc dolphin nautilus shibboleth test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+ >=dev-libs/openssl-1.1.0:0=
+ dev-libs/qtkeychain[qt5(+)]
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtsql:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwebengine:5[widgets]
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ sys-fs/inotify-tools
+ dolphin? (
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kio:5
+ )
+ nautilus? ( dev-python/nautilus-python )
+ shibboleth? ( dev-qt/qtwebkit:5 )"
+
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
+ doc? (
+ dev-python/sphinx
+ dev-tex/latexmk
+ dev-texlive/texlive-latexextra
+ virtual/latex-base
+ )
+ dolphin? ( kde-frameworks/extra-cmake-modules )
+ test? (
+ dev-util/cmocka
+ dev-qt/qttest:5
+ )"
+
+S=${WORKDIR}/desktop-${PV/_/-}
+
+src_prepare() {
+ # Keep tests in ${T}
+ sed -i -e "s#\"/tmp#\"${T}#g" test/test*.cpp || die
+
+ if ! use nautilus; then
+ pushd shell_integration > /dev/null || die
+ cmake_comment_add_subdirectory nautilus
+ popd > /dev/null || die
+ fi
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+ -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+ -DCMAKE_DISABLE_FIND_PACKAGE_Sphinx=$(usex !doc)
+ -DCMAKE_DISABLE_FIND_PACKAGE_KF5=$(usex !dolphin)
+ -DNO_SHIBBOLETH=$(usex !shibboleth)
+ -DUNIT_TESTING=$(usex test)
+ )
+
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ if ! use doc ; then
+ elog "Documentation and man pages not installed"
+ elog "Enable doc USE-flag to generate them"
+ fi
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
diff --git a/sys-apps/xdg-desktop-portal/Manifest b/sys-apps/xdg-desktop-portal/Manifest
new file mode 100644
index 0000000..13efae3
--- /dev/null
+++ b/sys-apps/xdg-desktop-portal/Manifest
@@ -0,0 +1,2 @@
+DIST xdg-desktop-portal-1.8.0.tar.xz 470692 BLAKE2B f21da5ad11dc2b1611983fdac87335b3c7e9c13222bbe3b90b276d75726a6f16d950a9ba62606aa31d52f57b8d076393ec0d48014b1623ab03dee23c524ed0ef SHA512 6d9760b41447af711d5937279b0031bcc88947e11204351accfcd9e6e19e498e9021675753185f92f7bd40336decc1895968796b1b71508c7caf5f6fc32a51a4
+EBUILD xdg-desktop-portal-1.8.0.ebuild 958 BLAKE2B 2b83de331e768d1fbc59e1d4c1acc52e43665f67f30e7ad8cd2873a851a39ad5b6cb642ba226a25c1b27e71f83a61297a577bef6da4584eac4042528e6a50b38 SHA512 0e85600029f4d0a65071d77685b6cf89992f07b776820202dc1505e03a20e5e7338c68b08605ec8f82017a2863bcf36c55e29bb8c9acc6fba386f4aef95cb4da
diff --git a/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.8.0.ebuild b/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.8.0.ebuild
new file mode 100644
index 0000000..c301db6
--- /dev/null
+++ b/sys-apps/xdg-desktop-portal/xdg-desktop-portal-1.8.0.ebuild
@@ -0,0 +1,43 @@
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd
+
+SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz"
+DESCRIPTION="A portal frontend service for Flatpak and possibly other containment frameworks"
+HOMEPAGE="http://flatpak.org/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="*"
+IUSE="doc geolocation screencast test"
+
+RDEPEND="
+ dev-libs/json-glib
+ dev-libs/glib:2[dbus]
+ media-libs/fontconfig
+ sys-fs/fuse:0
+ geolocation? ( >=app-misc/geoclue-2.5.2:2.0 )
+ screencast? ( >=media-video/pipewire-0.3.17 )
+ test? ( sys-libs/libportal )
+"
+DEPEND="${RDEPEND}
+ >=sys-devel/gettext-0.18.3
+ virtual/pkgconfig
+ doc? (
+ app-text/xmlto
+ app-text/docbook-xml-dtd:4.3
+ )
+"
+
+src_configure() {
+
+ econf \
+ $(use_enable doc docbook-docs) \
+ $(use_enable geolocation geoclue) \
+ $(use_enable screencast pipewire) \
+ $(use_enable test libportal) \
+ --with-systemduserunitdir="$(systemd_get_userunitdir)"
+
+}